%global octpkg general

Name:           octave-%{octpkg}
Version:        1.3.4
Release:        1%{?dist}
Summary:        General tools for Octave, string dictionary, parallel computing
Group:          Applications/Engineering
License:        GPLv3+ and BSD and Public Domain
URL:            http://octave.sourceforge.net/general/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildRequires:  octave-devel >= 3.8

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave
Obsoletes:      octave-forge <= 20090607

%description
The Octave-forge General package provides functions for parallel computing,
string dictionaries and other general utility functions.


%prep
%setup -q -n %{octpkg}


%build
%octave_pkg_build


%install
%octave_pkg_install


%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%{octpkglibdir}
%dir %{octpkgdir}
%{octpkgdir}/*.m
%{octpkgdir}/@dict/
%{octpkgdir}/@inputParser/
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/packinfo


%changelog
* Tue Oct 14 2014 Orion Poplawski <orion@cora.nwra.com> - 1.3.4-1
- Update to 1.3.4
- Update BR to octave-devel >= 3.8
- Fix directory ownership

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Dec 28 2013 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.3.2-5
- rebuild for new octave

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct  8 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.3.2-2
- remove buildroot cleaning

* Tue Sep 25 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.3.2-1
- Initial Fedora package
